com.google.zxing.client.result

## Class WifiResultParser

- java.lang.Object
- - com.google.zxing.client.result.ResultParser
  - - com.google.zxing.client.result.WifiResultParser

-     public final class WifiResultParser
      extends ResultParser

  Parses a WIFI configuration string. Strings will be of the form:

  `WIFI:T:[network type];S:[network SSID];P:[network password];H:[hidden?];;`

  For WPA2 enterprise (EAP), strings will be of the form:

  `WIFI:T:WPA2-EAP;S:[network SSID];H:[hidden?];E:[EAP method];H:[Phase 2 method];A:[anonymous identity];I:[username];P:[password];;`

  "EAP method" can e.g. be "TTLS" or "PWD" or one of the other fields in WifiEnterpriseConfig.Eap and "Phase 2 method" can e.g. be "MSCHAPV2" or any of the other fields in WifiEnterpriseConfig.Phase2

  The fields can appear in any order. Only "S:" is required.

  Author:
    Vikram Aggarwal, Sean Owen, Steffen Kieß

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WifiResultParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WifiParsedResult` | `parse(Result result)` Attempts to parse the raw `Result`'s contents as a particular type of information (email, URL, etc.) and return a `ParsedResult` encapsulating the result of parsing.

    - ### Methods inherited from class com.google.zxing.client.result.ResultParser

      `getMassagedText, isStringOfDigits, isSubstringOfDigits, maybeAppend, maybeAppend, maybeWrap, parseHexDigit, parseResult, unescapeBackslash`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WifiResultParser

          public WifiResultParser()

  - ### Method Detail

    - #### parse

          public WifiParsedResult parse(Result result)

      Description copied from class: `ResultParser`
      Attempts to parse the raw `Result`'s contents as a particular type of information (email, URL, etc.) and return a `ParsedResult` encapsulating the result of parsing.
      Specified by:
        `parse` in class `ResultParser`
      Parameters:
        `result` - the raw `Result` to parse
      Returns:
        `ParsedResult` encapsulating the parsing result

Copyright © 2007–2018. All rights reserved.